VULKAN_HPP_NAMESPACE::BindSparseInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BindSparseInfo:
[legend]

## Public Member Functions

BindSparseInfo (uint32_t waitSemaphoreCount_=0, const Semaphore *pWaitSemaphores_=nullptr, uint32_t bufferBindCount_=0, const SparseBufferMemoryBindInfo *pBufferBinds_=nullptr, uint32_t imageOpaqueBindCount_=0, const SparseImageOpaqueMemoryBindInfo *pImageOpaqueBinds_=nullptr, uint32_t imageBindCount_=0, const SparseImageMemoryBindInfo *pImageBinds_=nullptr, uint32_t signalSemaphoreCount_=0, const Semaphore *pSignalSemaphores_=nullptr)

| BindSparseInfo (VkBindSparseInfo const &rhs)
BindSparseInfo & | operator= (VkBindSparseInfo const &rhs)
BindSparseInfo & | setPNext (const void *pNext_)
BindSparseInfo & | setWaitSemaphoreCount (uint32_t waitSemaphoreCount_)
BindSparseInfo & | setPWaitSemaphores (const Semaphore *pWaitSemaphores_)
BindSparseInfo & | setBufferBindCount (uint32_t bufferBindCount_)
BindSparseInfo & | setPBufferBinds (const SparseBufferMemoryBindInfo *pBufferBinds_)
BindSparseInfo & | setImageOpaqueBindCount (uint32_t imageOpaqueBindCount_)
BindSparseInfo & | setPImageOpaqueBinds (const SparseImageOpaqueMemoryBindInfo *pImageOpaqueBinds_)
BindSparseInfo & | setImageBindCount (uint32_t imageBindCount_)
BindSparseInfo & | setPImageBinds (const SparseImageMemoryBindInfo *pImageBinds_)
BindSparseInfo & | setSignalSemaphoreCount (uint32_t signalSemaphoreCount_)
BindSparseInfo & | setPSignalSemaphores (const Semaphore *pSignalSemaphores_)
| operator VkBindSparseInfo const & () const
| operator VkBindSparseInfo & ()
bool | operator== (BindSparseInfo const &rhs) const
bool | operator!= (BindSparseInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | waitSemaphoreCount
const Semaphore * | pWaitSemaphores
uint32_t | bufferBindCount
const SparseBufferMemoryBindInfo * | pBufferBinds
uint32_t | imageOpaqueBindCount
const SparseImageOpaqueMemoryBindInfo * | pImageOpaqueBinds
uint32_t | imageBindCount
const SparseImageMemoryBindInfo * | pImageBinds
uint32_t | signalSemaphoreCount
const Semaphore * | pSignalSemaphores

## Private Attributes

StructureType | sType = StructureType::eBindSparseInfo

## Detailed Description

Definition at line 26534 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindSparseInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindSparseInfo::BindSparseInfo | ( | uint32_t | waitSemaphoreCount_ = `0`,
|  | const Semaphore * | pWaitSemaphores_ = `nullptr`,
|  | uint32_t | bufferBindCount_ = `0`,
|  | const SparseBufferMemoryBindInfo * | pBufferBinds_ = `nullptr`,
|  | uint32_t | imageOpaqueBindCount_ = `0`,
|  | const SparseImageOpaqueMemoryBindInfo * | pImageOpaqueBinds_ = `nullptr`,
|  | uint32_t | imageBindCount_ = `0`,
|  | const SparseImageMemoryBindInfo * | pImageBinds_ = `nullptr`,
|  | uint32_t | signalSemaphoreCount_ = `0`,
|  | const Semaphore * | pSignalSemaphores_ = `nullptr`
| ) |  |

inline

Definition at line 26536 of file vulkan.hpp.

: waitSemaphoreCount( waitSemaphoreCount_ )
, pWaitSemaphores( pWaitSemaphores_ )
, bufferBindCount( bufferBindCount_ )
, pBufferBinds( pBufferBinds_ )
, imageOpaqueBindCount( imageOpaqueBindCount_ )
, pImageOpaqueBinds( pImageOpaqueBinds_ )
, imageBindCount( imageBindCount_ )
, pImageBinds( pImageBinds_ )
, signalSemaphoreCount( signalSemaphoreCount_ )
, pSignalSemaphores( pSignalSemaphores_ )
{
}

## BindSparseInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindSparseInfo::BindSparseInfo | ( | VkBindSparseInfo const & | rhs | ) |

inline

Definition at line 26559 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindSparseInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindSparseInfo &()

VULKAN_HPP_NAMESPACE::BindSparseInfo::operator VkBindSparseInfo & | ( |  | ) |

inline

Definition at line 26640 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindSparseInfo*>(this);
}

## operator VkBindSparseInfo const &()

VULKAN_HPP_NAMESPACE::BindSparseInfo::operator VkBindSparseInfo const & | ( |  | ) | const

inline

Definition at line 26635 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindSparseInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindSparseInfo::operator!= | ( | BindSparseInfo const & | rhs | ) | const

inline

Definition at line 26661 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::operator= | ( | VkBindSparseInfo const & | rhs | ) |

inline

Definition at line 26564 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindSparseInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindSparseInfo::operator== | ( | BindSparseInfo const & | rhs | ) | const

inline

Definition at line 26645 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( waitSemaphoreCount == rhs.waitSemaphoreCount )
&& ( pWaitSemaphores == rhs.pWaitSemaphores )
&& ( bufferBindCount == rhs.bufferBindCount )
&& ( pBufferBinds == rhs.pBufferBinds )
&& ( imageOpaqueBindCount == rhs.imageOpaqueBindCount )
&& ( pImageOpaqueBinds == rhs.pImageOpaqueBinds )
&& ( imageBindCount == rhs.imageBindCount )
&& ( pImageBinds == rhs.pImageBinds )
&& ( signalSemaphoreCount == rhs.signalSemaphoreCount )
&& ( pSignalSemaphores == rhs.pSignalSemaphores );
}

References bufferBindCount, imageBindCount, imageOpaqueBindCount, pBufferBinds, pImageBinds, pImageOpaqueBinds, pNext, pSignalSemaphores, pWaitSemaphores, signalSemaphoreCount, sType, and waitSemaphoreCount.

Referenced by operator!=().

## setBufferBindCount()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setBufferBindCount | ( | uint32_t | bufferBindCount_ | ) |

inline

Definition at line 26587 of file vulkan.hpp.

{
bufferBindCount = bufferBindCount_;
return *this;
}

References bufferBindCount.

## setImageBindCount()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setImageBindCount | ( | uint32_t | imageBindCount_ | ) |

inline

Definition at line 26611 of file vulkan.hpp.

{
imageBindCount = imageBindCount_;
return *this;
}

References imageBindCount.

## setImageOpaqueBindCount()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setImageOpaqueBindCount | ( | uint32_t | imageOpaqueBindCount_ | ) |

inline

Definition at line 26599 of file vulkan.hpp.

{
imageOpaqueBindCount = imageOpaqueBindCount_;
return *this;
}

References imageOpaqueBindCount.

## setPBufferBinds()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPBufferBinds | ( | const SparseBufferMemoryBindInfo * | pBufferBinds_ | ) |

inline

Definition at line 26593 of file vulkan.hpp.

{
pBufferBinds = pBufferBinds_;
return *this;
}

References pBufferBinds.

## setPImageBinds()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPImageBinds | ( | const SparseImageMemoryBindInfo * | pImageBinds_ | ) |

inline

Definition at line 26617 of file vulkan.hpp.

{
pImageBinds = pImageBinds_;
return *this;
}

References pImageBinds.

## setPImageOpaqueBinds()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPImageOpaqueBinds | ( | const SparseImageOpaqueMemoryBindInfo * | pImageOpaqueBinds_ | ) |

inline

Definition at line 26605 of file vulkan.hpp.

{
pImageOpaqueBinds = pImageOpaqueBinds_;
return *this;
}

References pImageOpaqueBinds.

## setPNext()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 26569 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPSignalSemaphores()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPSignalSemaphores | ( | const Semaphore * | pSignalSemaphores_ | ) |

inline

Definition at line 26629 of file vulkan.hpp.

{
pSignalSemaphores = pSignalSemaphores_;
return *this;
}

References pSignalSemaphores.

## setPWaitSemaphores()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setPWaitSemaphores | ( | const Semaphore * | pWaitSemaphores_ | ) |

inline

Definition at line 26581 of file vulkan.hpp.

{
pWaitSemaphores = pWaitSemaphores_;
return *this;
}

References pWaitSemaphores.

## setSignalSemaphoreCount()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setSignalSemaphoreCount | ( | uint32_t | signalSemaphoreCount_ | ) |

inline

Definition at line 26623 of file vulkan.hpp.

{
signalSemaphoreCount = signalSemaphoreCount_;
return *this;
}

References signalSemaphoreCount.

## setWaitSemaphoreCount()

BindSparseInfo& VULKAN_HPP_NAMESPACE::BindSparseInfo::setWaitSemaphoreCount | ( | uint32_t | waitSemaphoreCount_ | ) |

inline

Definition at line 26575 of file vulkan.hpp.

{
waitSemaphoreCount = waitSemaphoreCount_;
return *this;
}

References waitSemaphoreCount.

## Field Documentation

## bufferBindCount

uint32_t VULKAN_HPP_NAMESPACE::BindSparseInfo::bufferBindCount

Definition at line 26673 of file vulkan.hpp.

Referenced by operator==(), and setBufferBindCount().

## imageBindCount

uint32_t VULKAN_HPP_NAMESPACE::BindSparseInfo::imageBindCount

Definition at line 26677 of file vulkan.hpp.

Referenced by operator==(), and setImageBindCount().

## imageOpaqueBindCount

uint32_t VULKAN_HPP_NAMESPACE::BindSparseInfo::imageOpaqueBindCount

Definition at line 26675 of file vulkan.hpp.

Referenced by operator==(), and setImageOpaqueBindCount().

## pBufferBinds

const SparseBufferMemoryBindInfo* VULKAN_HPP_NAMESPACE::BindSparseInfo::pBufferBinds

Definition at line 26674 of file vulkan.hpp.

Referenced by operator==(), and setPBufferBinds().

## pImageBinds

const SparseImageMemoryBindInfo* VULKAN_HPP_NAMESPACE::BindSparseInfo::pImageBinds

Definition at line 26678 of file vulkan.hpp.

Referenced by operator==(), and setPImageBinds().

## pImageOpaqueBinds

const SparseImageOpaqueMemoryBindInfo* VULKAN_HPP_NAMESPACE::BindSparseInfo::pImageOpaqueBinds

Definition at line 26676 of file vulkan.hpp.

Referenced by operator==(), and setPImageOpaqueBinds().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindSparseInfo::pNext = nullptr

Definition at line 26670 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pSignalSemaphores

const Semaphore* VULKAN_HPP_NAMESPACE::BindSparseInfo::pSignalSemaphores

Definition at line 26680 of file vulkan.hpp.

Referenced by operator==(), and setPSignalSemaphores().

## pWaitSemaphores

const Semaphore* VULKAN_HPP_NAMESPACE::BindSparseInfo::pWaitSemaphores

Definition at line 26672 of file vulkan.hpp.

Referenced by operator==(), and setPWaitSemaphores().

## signalSemaphoreCount

uint32_t VULKAN_HPP_NAMESPACE::BindSparseInfo::signalSemaphoreCount

Definition at line 26679 of file vulkan.hpp.

Referenced by operator==(), and setSignalSemaphoreCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindSparseInfo::sType = StructureType::eBindSparseInfo

private

Definition at line 26667 of file vulkan.hpp.

Referenced by operator==().

## waitSemaphoreCount

uint32_t VULKAN_HPP_NAMESPACE::BindSparseInfo::waitSemaphoreCount

Definition at line 26671 of file vulkan.hpp.

Referenced by operator==(), and setWaitSemaphoreCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BindSparseInfo::pImageBinds
const SparseImageMemoryBindInfo * pImageBinds
Definition: vulkan.hpp:26678
VULKAN_HPP_NAMESPACE::BindSparseInfo::bufferBindCount
uint32_t bufferBindCount
Definition: vulkan.hpp:26673
VULKAN_HPP_NAMESPACE::BindSparseInfo::sType
StructureType sType
Definition: vulkan.hpp:26667
VULKAN_HPP_NAMESPACE::BindSparseInfo::signalSemaphoreCount
uint32_t signalSemaphoreCount
Definition: vulkan.hpp:26679
VULKAN_HPP_NAMESPACE::BindSparseInfo::pNext
const void * pNext
Definition: vulkan.hpp:26670
VkBindSparseInfo
Definition: vulkan_core.h:2153
VULKAN_HPP_NAMESPACE::BindSparseInfo::operator==
bool operator==(BindSparseInfo const &rhs) const
Definition: vulkan.hpp:26645
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindSparseInfo::imageBindCount
uint32_t imageBindCount
Definition: vulkan.hpp:26677
VULKAN_HPP_NAMESPACE::BindSparseInfo::waitSemaphoreCount
uint32_t waitSemaphoreCount
Definition: vulkan.hpp:26671
VULKAN_HPP_NAMESPACE::BindSparseInfo::pBufferBinds
const SparseBufferMemoryBindInfo * pBufferBinds
Definition: vulkan.hpp:26674
VULKAN_HPP_NAMESPACE::BindSparseInfo::pImageOpaqueBinds
const SparseImageOpaqueMemoryBindInfo * pImageOpaqueBinds
Definition: vulkan.hpp:26676
VULKAN_HPP_NAMESPACE::BindSparseInfo::imageOpaqueBindCount
uint32_t imageOpaqueBindCount
Definition: vulkan.hpp:26675
VULKAN_HPP_NAMESPACE::BindSparseInfo::pWaitSemaphores
const Semaphore * pWaitSemaphores
Definition: vulkan.hpp:26672
VULKAN_HPP_NAMESPACE::BindSparseInfo::BindSparseInfo
BindSparseInfo(uint32_t waitSemaphoreCount_=0, const Semaphore *pWaitSemaphores_=nullptr, uint32_t bufferBindCount_=0, const SparseBufferMemoryBindInfo *pBufferBinds_=nullptr, uint32_t imageOpaqueBindCount_=0, const SparseImageOpaqueMemoryBindInfo *pImageOpaqueBinds_=nullptr, uint32_t imageBindCount_=0, const SparseImageMemoryBindInfo *pImageBinds_=nullptr, uint32_t signalSemaphoreCount_=0, const Semaphore *pSignalSemaphores_=nullptr)
Definition: vulkan.hpp:26536
VULKAN_HPP_NAMESPACE::BindSparseInfo::pSignalSemaphores
const Semaphore * pSignalSemaphores
Definition: vulkan.hpp:26680